<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: Adi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once '../../maincore.php';
require_once THEMES . 'templates/admin_header.php';
pageAccess('INFO');
$locale = fusion_get_locale('', INFO_LOCALE);
$settings = get_settings('info_panel');

add_to_title($locale['info_title']);

add_breadcrumb(['link' => INFUSIONS . 'info_panel/admin.php' . fusion_get_aidlink(), 'title' => $locale['info_title']]);

if (isset($_POST['save_settings'])) {
	$settings = [
		'info_color_text' => form_sanitizer($_POST['info_color_text'], '', 'info_color_text'),
		'info_size_text' => form_sanitizer($_POST['info_size_text'], '', 'info_size_text'),
		'info_text_1' => form_sanitizer($_POST['info_text_1'], '', 'info_text_1'),
		'info_text_2' => form_sanitizer($_POST['info_text_2'], '', 'info_text_2'),
		'info_text_3' => form_sanitizer($_POST['info_text_3'], '', 'info_text_3'),
		'info_text_n_1' => form_sanitizer($_POST['info_text_n_1'], '', 'info_text_n_1'),
		'info_text_n_2' => form_sanitizer($_POST['info_text_n_2'], '', 'info_text_n_2'),
		'info_text_n_3' => form_sanitizer($_POST['info_text_n_3'], '', 'info_text_n_3'),
		'info_text_1_y_n' => post('info_text_1_y_n') ? 1 : 0,
		'info_text_2_y_n' => post('info_text_2_y_n') ? 1 : 0,
		'info_text_3_y_n' => post('info_text_3_y_n') ? 1 : 0,
	];

	if (\defender::safe()) {
		foreach ($settings as $settings_name => $settings_value) {
			$db = [
				'settings_name' => $settings_name,
				'settings_value' => $settings_value,
				'settings_inf' => 'info_panel'
			];

			dbquery_insert(DB_SETTINGS_INF, $db, 'update', ['primary_key' => 'settings_name']);
		}

		addNotice('success', $locale['info_notice']);
		redirect(FUSION_REQUEST);
	}
}

opentable($locale['info_title']);
echo openform('info_settings', 'post', FUSION_REQUEST);
echo "<table  width='100%'>";
//-S
echo "<tr>";
echo "<td width='25%'>";
echo form_colorpicker('info_color_text', $locale['info_20'], $settings['info_color_text'], [
	'max_length' => 7,
	'inner_width' => '100px',
	'type' => 'text',
	'inline' => false
]);
echo "</td>";
echo "<td width='25%'>";
echo form_text('info_size_text', $locale['info_30'], $settings['info_size_text'], [
	'max_length' => 2,
	'number_min' => 10,
	'number_max' => 30,
	'inner_width' => '100px',
	'type' => 'number',
	'inline' => false
]);
echo "</td>";
echo "<td width='25%'>";

echo "</td>";
echo "<td width='25%'>";

echo "</td>";
echo "</tr>";
//-
echo "<tr>";
echo "<td colspan='4' width='100%'>";
echo form_checkbox('info_text_1_y_n', $locale['info_43'], $settings['info_text_1_y_n'], [
	'toggle' => TRUE
]);
echo form_text('info_text_n_1', $locale['info_11'], $settings['info_text_n_1'], [
	'inner_width' => '200px',
	'type' => 'text',
	'inline' => false
]);
echo form_textarea('info_text_1', $locale['info_40'], $settings['info_text_1'], [
	'inner_width' => '100%',
	'type' => 'text',
	'inline' => false
]);
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td colspan='4' width='100%'>";
echo form_checkbox('info_text_2_y_n', $locale['info_44'], $settings['info_text_2_y_n'], [
	'toggle' => TRUE
]);
echo form_text('info_text_n_2', $locale['info_12'], $settings['info_text_n_2'], [
	'inner_width' => '200px',
	'type' => 'text',
	'inline' => false
]);
echo form_textarea('info_text_2', $locale['info_41'], $settings['info_text_2'], [
	'inner_width' => '100%',
	'type' => 'text',
	'inline' => false
]);
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td colspan='4' width='100%'>";
echo form_checkbox('info_text_3_y_n', $locale['info_45'], $settings['info_text_3_y_n'], [
	'toggle' => TRUE
]);
echo form_text('info_text_n_3', $locale['info_13'], $settings['info_text_n_3'], [
	'inner_width' => '200px',
	'type' => 'text',
	'inline' => false
]);
echo form_textarea('info_text_3', $locale['info_42'], $settings['info_text_3'], [
	'inner_width' => '100%',
	'type' => 'text',
	'inline' => false
]);
echo "</td>";
echo "</tr>";
//-koniec
echo "</table>";
echo form_button('save_settings', $locale['save'], $locale['save'], ['class' => 'btn-success', 'text' => 'fa fa-hdd-o']);
echo closeform();
closetable();

require_once THEMES . 'templates/footer.php';