<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Adi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

$locale = fusion_get_locale('', INFO_LOCALE);

// Infusion general information
$inf_title = $locale['info_title'];
$inf_description = $locale['info_desc'];
$inf_version = '1.0';
$inf_email = '';
$inf_weburl = 'https://www.php-fusion.pl';
$inf_developer = 'Adi - PHP Fusion Polska';
$inf_folder = 'info_panel';
$inf_image = 'info.svg';

// Insert panel
$inf_insertdbrow[] = DB_PANELS . " (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES ('" . $inf_title . "', '" . $inf_folder . "', '', '1', '1', 'file', '0', '1', '1', '', '3', '" . fusion_get_settings('enabled_languages') . "')";

// Insert settings
$settings = [
    'info_color_text' => '#000000',
    'info_size_text' => '10',
    'info_text_n_1' => 'Nazwa panelu 1',
    'info_text_n_2' => 'Nazwa panelu 2',
    'info_text_n_3' => 'Nazwa panelu 3',
    'info_text_1' => 'Panel 1',
    'info_text_2' => 'Panel 2',
    'info_text_3' => 'Panel 3',
    'info_text_1_y_n' => '1',
    'info_text_2_y_n' => '0',
    'info_text_3_y_n' => '0',
];

foreach ($settings as $name => $value) {
    $inf_insertdbrow[] = DB_SETTINGS_INF . " (settings_name, settings_value, settings_inf) VALUES ('" . $name . "', '" . $value . "', '" . $inf_folder . "')";
}

// Multilanguage links
$enabled_languages = makefilelist(LOCALE, '.|..', TRUE, 'folders');
if (!empty($enabled_languages)) {
    foreach ($enabled_languages as $language) {
        if (file_exists(INFUSIONS . 'info_panel/locale/' . $language . '.php')) {
            include INFUSIONS . 'info_panel/locale/' . $language . '.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights' => 'INFO',
            'image' => $inf_image,
            'title' => $inf_title,
            'panel' => 'admin.php',
            'page' => 5,
            'language' => $language
        ];

        // Delete
        $mlt_deldbrow[$language][] = DB_ADMIN . " WHERE admin_rights='INFO' AND admin_language='" . $language . "'";
    }
} else {
    $inf_adminpanel[] = [
        'rights' => 'INFO',
        'image' => $inf_image,
        'title' => $inf_title,
        'panel' => 'admin.php',
        'page' => 5,
        'language' => LANGUAGE
    ];
}

// Uninstallation
$inf_deldbrow[] = DB_ADMIN . " WHERE admin_rights='INFO'";
$inf_deldbrow[] = DB_PANELS . " WHERE panel_filename='" . $inf_folder . "'";
$inf_deldbrow[] = DB_SETTINGS_INF . " WHERE settings_inf='" . $inf_folder . "'";